import java.awt.Color;

/**
 *
 * @author Boss
 */
public class Button {

    private boolean closed;
    private int x, y, b, h;
    private Color colorCase;
    private Color colorTaste;
    private Color colorClosed;
    private Color colorOpen;
    private int index;

    public Button(int i) {
        index = i;
        x = 100;
        y = 100;
        b = 20;
        h = 20;
        closed = false;
        colorCase = Color.yellow;
        colorOpen = Color.DARK_GRAY;
        colorClosed = Color.red;
        colorTaste = colorOpen;
    }

    public Button(int i, int x, int y, int b, int h) {
        index = i;
        this.x = x;
        this.y = y;
        this.b = b;
        this.h = h;
        closed = false;
        colorCase = Color.yellow;
        colorOpen = Color.DARK_GRAY;
        colorClosed = Color.red;
        colorTaste = colorOpen;
    }

    public int getIndexPressedButton(int mouseX, int mouseY) {
        if (mouseX > x && mouseX < x + b && mouseY > y && mouseY < y + h) {
            return index;
        } else {
            return -1;
        }
    }

    public int getB() {
        return b;
    }

    public void setB(int b) {
        this.b = b;
    }

    public String getState() {
        if (closed) {
            return "geschlossen";
        } else {
            return "offen";
        }
    }

    public void close() {
        closed = true;
        colorTaste = colorClosed;
    }

    public void open() {
        closed = false;
        colorTaste = colorOpen;
    }

    public void pressed() {
        //closed = !closed;
        //setColor(closed);
    }

    public void stateChanged() {
        closed = !closed;
        setColor(closed);
    }

    public void setColor(boolean status) {
        closed = status;
        if (!closed) {
            colorTaste = colorOpen;
        } else {
            colorTaste = colorClosed;
        }
    }

    public int getH() {
        return h;
    }

    public void setH(int h) {
        this.h = h;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public Color getColorCase() {
        return colorCase;
    }

    public void setColorCase(Color colorCase) {
        this.colorCase = colorCase;
    }

    public Color getColorClosed() {
        return colorClosed;
    }

    public void setColorClosed(Color colorClosed) {
        this.colorClosed = colorClosed;
    }

    public Color getColorOpen() {
        return colorOpen;
    }

    public void setColorOpen(Color colorOpen) {
        this.colorOpen = colorOpen;
    }

    public Color getColorTaste() {
        return colorTaste;
    }

    public void setColorTaste(Color colorTaste) {
        this.colorTaste = colorTaste;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public boolean isOpen() {
        return !closed;
    }

    public boolean isClosed() {
        return closed;
    }

}
