import java.awt.Color;

/**
 * 
 * @author Boss
 */
public class Led {
    private int x;
    private int y;
    private int size;
    private Color colorOn;
    private Color colorOff;
    private Color color;
    private boolean burning;
    private int index;

    public Led(int nr, int x, int y, int size, Color colorOn) {
        index = nr;
        this.x = x;
        this.y = y;
        this.size = size;
        this.colorOn = colorOn;
        colorOff = Color.DARK_GRAY;
        burning = true;
        color = colorOff;
    }

    public Led(int nr, Color colorOn) {
        index = nr;
        x = 20;
        y = 20;
        size = 10;
        this.colorOn = colorOn;
        colorOff = Color.DARK_GRAY;
        burning = true;
        color = colorOff;
    }

    public Led(int nr) {
        index = nr;
        x = 20;
        y = 20;
        size = 10;
        colorOn = Color.red;
        colorOff = Color.DARK_GRAY;
        burning = true;
        color = colorOff;
    }

    public boolean isBurning() {
        return burning;
    }

    public void on() {
        burning = true;
        color = colorOn;
//        System.out.println("LED" + index + " ist on.");
    }

    public void out() {
        burning = false;
        color = colorOff;
//        System.out.println("LED" + index + " ist out.");
    }

    public Color getColor() {
        return color;
    }

    public void setColor(Color color) {
        this.color = color;
    }

    public Color getColorOff() {
        return colorOff;
    }

    public void setColorOff(Color colorOff) {
        this.colorOff = colorOff;
    }

    public Color getColorOn() {
        return colorOn;
    }

    public void setColorOn(Color colorOn) {
        this.colorOn = colorOn;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

}
