/**
 * Write a description of class Test here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Test 
{
    private Lampe[] lampen = new Lampe[28];
    private Schalter[] schalter = new Schalter[10];
    private Autoampel aS;
    private Autoampel aN;
    private Board board;
    /**
     * Constructor for objects of class Test
     */
    public Test()
    {
        board = Board.getBoard();
        board.loop(this, "meldeSchalterGedrueckt");    
        for (int i = 0; i < 28; i++){
            Lampe l = new Lampe(i+1);
            lampen[i] = l;
        }
        for (int i = 0; i < 10; i++){
            Schalter s = new Schalter(i+1);
            schalter[i] = s;
        }
        aS = new Autoampel(1);
        aN = new Autoampel(7);
    }

    public void ampelTestLoop(){
        board.loopWithDelay(this, "umschalten", 500, false);
    }

    public void umschalten(){
        aS.weiterschalten();
        aN.weiterschalten();
        warten(1000);
    }

    public void meldeSchalterGedrueckt(){
        int index1 = board.getIndexSchalterGedrueckt();
        warten(100);
        int index2 = board.getIndexSchalterGedrueckt();
        if (index2 != index1 && index2 > -1){
            //System.out.println("Schalter Nr. " + (index2+1) + " wurde gedrckt."); 
            schalterAuswerten(index2);
        }
    }

    private void schalterAuswerten(int indexSchalter){
        Schalter s = schalter[indexSchalter];
        s.schalterdruecken();
        switch (indexSchalter){
            case 9:
            if (!s.istGeschlossen()){
                //System.out.println("Stopp" ); 
                board.stopp(1);
            }
            else{
                //System.out.println("Start" ); 
                ampelTestLoop();
            }
            break;
            default:            
                board.pressButtonAsTaste(indexSchalter, 3);
        }
    }

    public void stoppLoop(int index){
        board.stopLoop(index);
    }

    public void listLoops(){
        board.listLoops();
    }

    public void ledsTestenRun(){
        board.run(this, "ledsTesten");
    }

    public void ledsTestenLoop(){
        board.loop(this, "ledsTesten");
    }

    public void schalterTestenRun(){
        board.run(this, "schalterTesten");
    }

    public void schalterTestenLoop(){
        board.loop(this, "schalterTesten");
    }

    public void ledsTesten(){
        for (int i = 0; i < 28; i++){
            Lampe l =lampen[i];
            l.einschalten();
            warten(500);
            l.ausschalten();
            warten(200);
        }
    }

    public void schalterTesten(){
        for (int i = 0; i < 10; i++){
            Schalter l = schalter[i];
            l.schalterdruecken();
            warten(500);
            l.schalterdruecken();
            warten(200);
        }
    }

    private void warten(long ms){
        long t1 = System.currentTimeMillis();
        long t2 = t1;
        while (t2 - t1 < ms){
            t2 = System.currentTimeMillis();
        }
    }

    public void ledsEinschalten(){
        for (int i = 0; i < 28; i++){
            Lampe l =lampen[i];
            l.einschalten();
        }
    }

    public void ledsAusschalten(){
        for (int i = 0; i < 28; i++){
            Lampe l =lampen[i];
            l.ausschalten();
        }
    }

    public void ledEinschalten(int index){
        Lampe l =lampen[index-1];
        l.einschalten();
    }

    public void ledAusschalten(int index){
        Lampe l =lampen[index-1];
        l.ausschalten();
    }

    public void schalterDruecken(int index){
        Schalter s = schalter[index-1];
        board.pressButtonAsSwitch(index-1);
    }

    public void tasterDruecken(int index){
        Schalter s = schalter[index-1];
        board.pressButtonAsTaste(index-1, 3);
    }

}
